| Home | Libraries | People | FAQ | More

##### reverse_copy

###### Prototype

    template<class BidirectionalRange, class OutputIterator>
    OutputIterator reverse_copy(const BidirectionalRange& rng, OutputIterator out);

###### Description

`reverse_copy` copies the elements from `rng` in reverse order to `out`. Returns the output iterator one passed the last copied element.

###### Definition

Defined in the header file `boost/range/algorithm/reverse_copy.hpp`

###### Requirements

- `BidirectionalRange` is a model of the Bidirectional Range Concept.
- `BidirectionalRange` is mutable.
- `OutputIterator` is a model of the `OutputIteratorConcept`.

###### Complexity

Linear. `reverse_copy` makes `distance(rng)` copies.